//
//
//    logic.h
//
//

#ifndef  __logic_h
#define  __logic_h

#include <string>
#include <vector>


const int NULL_ID = -1;

struct Limo
{
    int           id;
    int           seatsNr;
    std::string   capacity; // didelis, vidutinis, mazas
    std::string   mark;
    std::string   model;
    int           year;
    double        hourPrice;
    int           rentedByCustomer;
    int           timesRented;
    double        moneyEarned;
};

typedef std::vector<Limo> Limos;

struct Customer
{
    int           id;
    std::string   name;
    int           age;
    std::string   pCode;
    double        moneyEarned;
};

typedef std::vector<Customer> Customers;

void writeToFileLimos (Limos& limos);
void readFromFileCustomers (Customers& customers);
void readFromFileLimos (Limos& limos);
void writeToFileCustomers (Customers& customers);

Limo     createLimo    (int id, std::string mark, std::string model, int year, std::string capacity, int seatsNr, double hourPrice);
Customer createCustomer (int id, std::string name, int age, std::string pCode);

bool   isLimoRented        (const Limo& limo);
double rentLimoAndGetMoneyEarned (Limo& limo, Customer& customer, int dayCount);
void   returnBackRentedLimo      (Limo& limo);

#endif
